> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/59.-query-get-asapplieddatasets.md).

# 59. クエリ: 散布実績データセットを取得

播種実績または散布実績データセットを取得

選択した「圃場」のすべての「作業実績データセット」を取得します。次のような汎用 GraphQL クエリを使用してデータセットを取得できます。 `getFarms` および `getFields` リンクされた「圃場」から取得します。

{% hint style="warning" %}
「作業実績データセット」は事前にアップロードしておく必要があります。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #total number of geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #complete details per attribute
          name #link to statistics >> attribute
          transliteratedName
          fullName #correct human readable name
          unit#測定単位
        }

        usedMachines { #used machines
          id
          serial
          operatorId
        } 

        createdDate #entity created datetime in GeoPard
        updatedDate #last update datetime
        operationId
        operationType
        operationFileDate #ファイルの作成日時。メタ情報から取得 
        operationStartDate #作業開始日時。メタ情報から取得
        
        statistics { #各属性の統計分布
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #total number of geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #complete details per attribute
          name #link to statistics >> attribute
          transliteratedName
          fullName #correct human readable name
          unit#測定単位
        }

        usedMachines { #used machines
          id
          serial
          operatorId
        } 

        createdDate #entity created datetime in GeoPard
        updatedDate #last update datetime
        operationId
        operationType
        operationFileDate #ファイルの作成日時。メタ情報から取得 
        operationStartDate #作業開始日時。メタ情報から取得
        
        statistics { #各属性の統計分布
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/59.-query-get-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
